package com.brilliance.isc.common.trndia.registermodule.impl;

import com.brilliance.isc.common.trndia.registermodule.IDiaryRegisterModule;
import com.brilliance.isc.common.trndia.vo.TrndiaVo;
import com.brilliance.isc.common.vo.SimpleModuleVo;
import com.brilliance.isc.vo.lc.BrdBizInfoVo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

@Component("brd.diaryRegisterModule")
public class BrdDiaryRegisterModule implements IDiaryRegisterModule {

    private static Logger log = LoggerFactory.getLogger(BrdDiaryRegisterModule.class);

    @Override
    public void registerModule(TrndiaVo trndiaVo) {
        log.debug("BRD业务品种需要注册LID业务模型");
        BrdBizInfoVo brdBizInfoVo = (BrdBizInfoVo)trndiaVo.getRec();
        SimpleModuleVo simpleModuleVo = SimpleModuleVo.buildModule(brdBizInfoVo.getPntinr(), brdBizInfoVo.getPnttyp());
        trndiaVo.addRegisterModule(simpleModuleVo);
    }
}
